 *=$6000
 !to "HG.bin", plain	; set output file and format
 !cpu 6502		; set processor type

;MockingBird
;Set Inactive = $04  Set PSG Reg# = $07   Write Data = $06   Reset = $00 
;
;To Write to a PSG register: Tell the PSG which Register you wish to access 
;(i.e. Set the "current register" #) and Write the data. This is easiest to 
;do with subroutines to handle the basic Functions.   
;
;Example Subroutines (for Output Channel 1): 
;Set Reg #     1000:  A9 07   8D 00 C4   A9 04   8D 00 C4   60 
;Write Data    100B:  A9 06   8D 00 C4   A9 04   8D 00 C4   60 

;ADDRESSES FOR FIRST 6522
;ORB EQU $C400 ; PORT B
;ORA EQU $C401 ; PORT A

DDRB = $C402 ;DATA DIRECTION REGISTER (A)
DDRA = $C403 ;DATA DIRECTION REGISTER (B)

;ADDRESSES FOR SECOND 6522
ORB2 = $C480 ;PORT B
ORA2 = $C481 ;PORT A

DDRB2 = $C482 ;DATA DIRECTION REGISTER (B)
DDRA2 = $C483 ;DATA DIRECTION REGISTER (A)


; 81  REM  CALL INIT FOR BOTH 6522
; 82  CALL 36864: CALL 36908:REM $9000,$902C
	JSR L9000
	JSR L902C
; 84  REM  CALL RESET FOR BOTH 6522
; 85  CALL 36897: CALL 36941:REM $9021,$904D
	JSR L9021
	JSR L904D
;PLAY
;POKE 8,0: POKE 9,129: CALL 32768
	JSR L9021
	LDY #0
L8005
	STY $C401
	JSR L900B

;LDA (8),Y
	LDA GUNSHOT,Y

	STA $C401
	JSR L9016
	CPY #$0F
	BEQ L801B
	INY
	JMP L8005
L801B
    RTS
L801C
	JSR L904D
	LDY #0
L8021
	STY $C481
	JSR L9037
	LDA ($0A),Y
	STA $C481
	JSR L9042
	CPY #$0F
	BEQ L8037
	INY
	JMP L8021
L8037
	RTS

;POKE 10,32: POKE 11,129: CALL 32796
;-------------------------------------------------------------------------------------------
L9000
	LDA   #$FF
	STA   $C403
	LDA   #$07
	STA   $C402
	RTS

L900B
	LDA   #$07
	STA   $C400
	LDA   #$04
	STA   $C400
	RTS

L9016
	LDA   #$06
	STA   $C400
	LDA   #$04
	STA   $C400
	RTS

L9021
	LDA   #$00
	STA   $C400
	LDA   #$04
	STA   $C400
	RTS

L902C
	LDA   #$FF
	STA   $C483
	LDA   #$07
	STA   $C482
	RTS

L9037
	LDA   #$07
	STA   $C480
	LDA   #$04
	STA   $C480
	RTS

L9042
	LDA   #$06
	STA   $C480
	LDA   #$04
	STA   $C480
	RTS

L904D
	LDA   #$00
	STA   $C480
	LDA   #$04
	STA   $C480
	RTS

; 10  REM  PSGTABLE
GUNSHOT
!byte 0,0,0,0,0,0,15,7,16,16,16,0,10,0,0,0

TRAIN
!byte 0,0,0,0,0,0,16,7,16,16,16,0,1,14,0,0

HELICOPTER
!byte 0,0,0,0,0,0,8,7,16,16,16,0,1,12,0,0

EXPLOSION
!byte 0,0,0,0,0,0,16,7,16,16,16,0,48,0,0,0

OCEAN
!byte 0,0,0,0,0,0,16,7,16,16,16,0,48,14,0,0

SWISH
!byte 0,0,0,0,0,0,16,7,16,16,16,0,8,14,0,0

PUMP

!byte 195,8,0,0,0,0,0,62,16,0,0,0,1,8,0,0

CLOCK
!byte 18,2,40,1,0,0,0,60,16,16,0,0,64,8,0,0

POWER_GENERATOR

!byte 195,1,239,0,0,0,0,60,16,16,0,0,1,10,0,0

PROCLOOP_DATA
!byte 0,0,0,0,0,0,0,62,15,0,0,0,0,0,0,0
; 210  REM  MUSIC,WORM,MT,MN1,MN2
; 220  DATA  0,0,0,0,0,0,0,62,16,0,0,0,16,0,0,0


ayk
!byte $0f,$0f,$0f,$0f8,0,$0A,$0C,$0A,5,$0A,0,0
